Jump to content


Photo

Old API fails with 4.x firmware


  • This topic is locked This topic is locked
No replies to this topic

#1 Daniel Senie

Daniel Senie
  • Members
  • 12 posts

Posted 11 October 2009 - 01:24 PM

I'd built up my own library for the functions I commonly need my scripts to tickle the Barracuda with using the previous version of the API. Despite several statements on this forum from Barracuda that the existing APIs will work, they in fact do not. My script to list the domains serviced for my Barracuda in fact list 2 domains with the old API, with the example domain lister in another thread on this board using the 4.x API, the proper list of domains shows.I've posted another message looking for more details and examples using XML::RPC. Once I understand how to feed requests and parse results using that, I'll convert my library and not look back. But it appears the statements about compatibility are not in fact accurate.